Type to search.

Perform reranking inference on the service

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.11 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Required privileges

Cluster privileges monitor_inference

Path parameters

inference_id string required

The unique identifier for the inference endpoint.

Query parameters

timeout union oneOf · default: 30s

The amount of time to wait for the inference request to complete.

Values: -1 0

Request body

query string required

Query input.

input union string | string[] required

The text on which you want to perform the inference task. It can be a single string or an array.

Note

Inference endpoints for the completion task type currently only support a single string as input.

task_settings object

Task settings for the individual inference request. These settings are specific to the task type you specified and override the task settings specified when initializing the service.

Response

application/json
rerank object[] required
index number required
relevance_score number required
text string